package main;

import java.awt.*;
import javax.swing.*;

/**
 * Governs all the GUI components in the Page Sorter tool of our application.
 * 
 * @author Wervyn
 * @version 1.0
 */
@SuppressWarnings("serial")
public class PageSorter extends JFrame {
	
	/**
	 * Basic constructor, sets up GUI relationships in tool.
	 * 
	 * @param parent The parent frame that launched this window.
	 */
	public PageSorter(JFrame parent) {
		// Main component setup //
		super("Page Sorter");
		this.setSize(300,400);
		this.setLocation(parent);
		this.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		
		// Delegation of child component setup //
		Container content = this.getContentPane();
		JPanel mainpanel = new JPanel();
		mainpanel.setLayout(new BorderLayout());
		mainpanel.add(new JLabel("Content goes here"));
		content.add(mainpanel);
		
		// TODO: Decide what actually goes in this tool and break down
		// methods appropriately.
	}
	
	/**
	 * Set the location of this frame by centering relative to the location
	 * of another frame.
	 * 
	 * @param parent The target frame for this operation.
	 */
	public void setLocation(JFrame parent) {
		this.setLocation(
			(parent.getWidth() - this.getWidth())/2 + parent.getX(),  // Center offset X
			(parent.getHeight() - this.getHeight())/2 + parent.getY() // Center offset Y
		);
	}
}
